Page MenuHomePhabricator

Set DiscussionTools adoption goal for Q3 (Jan. - Mar., 2020)
Closed, DeclinedPublic

Description

One of our objectives for the next three months (January through March, 2020), is to ensure the Extension:DiscussionTools interventions we plan to deploy [1] to our partner wikis [2] enables Senior Contributors to start new discussion and post comments in existing talk page conversations with less effort and makes it easier and more intuitive for Junior Contributors to do the same.

We intend to use adoption, as measured by the number of distinct contributors using the deployed tools, as a way to measure the extent to which we've achieved the above.

This task is about setting a target for the number of distinct contributors we would like to see using the tools we deploy.

Done

  • Define a target for the number of distinct contributors using Extension:DiscussionTools by 31-March-2020

  1. T233446: [Epic] Affordance: Start a new discussion + T233443: [Epic] Affordance: Replying to specific comments
  2. Partner wikis

Event Timeline

ppelberg created this task.Dec 17 2019, 4:26 PM
ppelberg updated the task description. (Show Details)
ppelberg added a comment.EditedDec 17 2019, 5:19 PM

Current thinking: Q3 goals calculation

Definition(s)

  • Number of distinct contributors using tools: the number of distinct contributors, across experience levels, who have published 2 or more edits, across talk namespaces on our partner wikis, on separate days, using Extension:DiscussionTools by 31-March-2020.

Defintion(s) rationale

  • "...contributors across experience levels": these tools are intended to provide value all contributors
  • "...2 or more edits...on separate days": we would like to count people who are using the tools and exclude those who are simply trying them out (this seems like one proxy)

Adoption target

  • in progress

Adoption target assumptions

  • By 1-March-2020, T235923 will be available to all contributors to this shortlist (not publicly available at this time) of partner wikis

We will not be setting a target for the number of distinct contributors we are striving to have using DiscussionTools by March 31, 2020.

Primarily because there are too many unknowns at this time to come up with a realistic estimate. Unknowns like:

  • To what wikis will DiscussionTools features be deployed to by March 31, 2020?
  • To the wikis DiscussionTools features are deployed to, will features be available as defaults by this time?
ppelberg closed this task as Declined.Dec 23 2019, 7:45 PM